Avalanche: New ChaCha20 ciphers support


Doc ID    KNI14968
Version:    1.0
Status:    Published
Published date:    07/03/2017
 

Symptoms

  • Spirent currently uses and old ChaCha20 ciphers.
  • Below shows that the Avalanche uses TLS_ECDHE_RSA_WITH_CHACHA20_POLY1305_SHA256 (0xcc13) which is the old version.

TLS_ECDHE_ECDSA_WITH_CHACHA20_POLY1305_SHA256 (0xcca9)   Forward Secrecy    256
TLS_ECDHE_RSA_WITH_CHACHA20_POLY1305_SHA256 (0xcca8)   Forward Secrecy  256
OLD_TLS_ECDHE_ECDSA_WITH_CHACHA20_POLY1305_SHA256 (0xcc14)   Forward Secrecy    256
OLD_TLS_ECDHE_RSA_WITH_CHACHA20_POLY1305_SHA256 (0xcc13)   Forward Secrecy  256
 


 

Environment

  • Avalanche Commander version 4.68
  • SSL / TLS

Explanation/Resolution

  • ER1169380 had been opened and this has been addressed in Avalanche Commander 4.76 and newer versions.

Find Answers

Specified Languages
English
中文

Please Sign In

Username
Password

Did you forget your password?
Click here for assistance

New user? Start here.